USE `opmon4`;

DROP TABLE IF EXISTS audit_ws;

CREATE TABLE `audit` (
	`id` bigint NOT NULL AUTO_INCREMENT,
        `entry_time` datetime NOT NULL default '0000-00-00 00:00:00',
        `contact_id` int(11) NOT NULL,
        `method` varchar(64) NOT NULL,
        `data` longblob DEFAULT NULL,
	`name` varchar(256) DEFAULT NULL,
	`object_type` varchar(256) DEFAULT NULL,
	PRIMARY KEY (`id`),
	KEY `audit_1_idx` (`entry_time`,`object_type`,`method`),
	KEY `audit_2_idx` (`object_type`, `entry_time`), 
	KEY `audit_3_idx` (`contact_id`, `entry_time`)
) DEFAULT CHARSET=utf8;

